# door-alarm

This is a simple, home-made door alarm based on ultrasound sensor (SR04) distance measurements

The peripheral device is powered by a Raspberry Pi Pico W, with the following diagram

![door alarm peripheral device circuit diagram](circuit.png "Circuit Diagram")

It works by pointing the ultrasound sensor at the door from the side, the device being placed on the doorframe. While the door is closed, the distance will be 1-5 cm, when the door opens, the side of the door will move, and the distance will be greater the more you open the door, at a 90 degree open, the distance will be the width of the door

After getting the distance and comparing it to the threshold, the peripheral sends updates to the server, which may or may not send a notification to gotify based on whether the door is locked (on the server)

This is how it actually looks like on the door frame:

![door alarm peripheral device close up](img1.jpg "Close up")

![door alarm peripheral device on door frame](img2.jpg "On door frame")

### License

This project is licensed under the [GNU GPLv3](LICENSE) license
